Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.artifacts.ivyservice.moduleconverter.dependencies
Class DefaultDependencyDescriptorFactory

    java.lang.Object
      org.gradle.api.internal.artifacts.ivyservice.moduleconverter.dependencies.DefaultDependencyDescriptorFactory

All Implemented Interfaces:
  DependencyDescriptorFactory

    class DefaultDependencyDescriptorFactory
    extends java.lang.Object

author:
  Hans Dockter

Nested Class Summary
`class` | `DefaultDependencyDescriptorFactory.ClientModuleDependencyFactory`
`class` | `DefaultDependencyDescriptorFactory.ExternalModuleDependencyFactory`
`interface` | `DefaultDependencyDescriptorFactory.InternalDependencyFactory`
`class` | `DefaultDependencyDescriptorFactory.ProjectDependencyFactory`

Constructor Summary
`DefaultDependencyDescriptorFactory()`

Method Summary
`void` | `addDependencyDescriptor(java.lang.String configuration, org.apache.ivy.core.module.descriptor.DefaultModuleDescriptor moduleDescriptor, ModuleDependency dependency, Map clientModuleRegistry)`
`ClientModuleDescriptorFactory` | `getClientModuleDescriptorFactory()`
`ExcludeRuleConverter` | `getExcludeRuleConverter()`
`void` | `setClientModuleDescriptorFactory(ClientModuleDescriptorFactory clientModuleDescriptorFactory)`
`void` | `setExcludeRuleConverter(ExcludeRuleConverter excludeRuleConverter)`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### DefaultDependencyDescriptorFactory

    DefaultDependencyDescriptorFactory()

Method Detail

### addDependencyDescriptor

    public void addDependencyDescriptor(java.lang.String configuration, org.apache.ivy.core.module.descriptor.DefaultModuleDescriptor moduleDescriptor, ModuleDependency dependency, Map clientModuleRegistry)

### getClientModuleDescriptorFactory

    public ClientModuleDescriptorFactory getClientModuleDescriptorFactory()

### getExcludeRuleConverter

    public ExcludeRuleConverter getExcludeRuleConverter()

### setClientModuleDescriptorFactory

    public void setClientModuleDescriptorFactory(ClientModuleDescriptorFactory clientModuleDescriptorFactory)

### setExcludeRuleConverter

    public void setExcludeRuleConverter(ExcludeRuleConverter excludeRuleConverter)

Groovy Documentation